lists.openwall.net   lists  /  announce  owl-users  owl-dev  john-users  john-dev  passwdqc-users  yescrypt  popa3d-users  /  oss-security  kernel-hardening  musl  sabotage  tlsify  passwords  /  crypt-dev  xvendor  /  Bugtraq  Full-Disclosure  linux-kernel  linux-netdev  linux-ext4  linux-hardening  linux-cve-announce  PHC 
Open Source and information security mailing list archives
 
Hash Suite: Windows password security audit tool. GUI, reports in PDF.
[<prev] [next>] [<thread-prev] [thread-next>] [day] [month] [year] [list]
Message-ID: <CAH0uvog6oeXxN3uaaCxLQ00otqhGA-RK0wRcwG4pdBtq9KdBhg@mail.gmail.com>
Date: Mon, 9 Sep 2024 22:00:10 -0700
From: Howard Chu <howardchu95@...il.com>
To: Arnaldo Carvalho de Melo <acme@...nel.org>
Cc: adrian.hunter@...el.com, irogers@...gle.com, jolsa@...nel.org, 
	kan.liang@...ux.intel.com, namhyung@...nel.org, 
	linux-perf-users@...r.kernel.org, linux-kernel@...r.kernel.org
Subject: Re: [PATCH v3 8/8] perf trace: Add general tests for augmented syscalls

Hello,

On Mon, Sep 9, 2024 at 3:11 PM Arnaldo Carvalho de Melo <acme@...nel.org> wrote:
>
> On Sun, Aug 25, 2024 at 12:33:22AM +0800, Howard Chu wrote:
> > In this test, augmentation for:
> >
> > * string
> > * buffer
> > * struct
> >
> > Is tested.
>
> Please install ShellCheck to test it:
>
>   GEN     perf-archive
>   GEN     perf-iostat
>   TEST    /tmp/build/perf-tools-next/tests/shell/trace_btf_general.sh.shellcheck_log
>   CC      /tmp/build/perf-tools-next/util/header.o
>
> In tests/shell/trace_btf_general.sh line 50:
>         echo "Unexpected signal in ${FUNCNAME[1]}"
>                                    ^------------^ SC3028 (warning): In POSIX sh, FUNCNAME is undefined.
>                                    ^------------^ SC3054 (warning): In POSIX sh, array references are undefined.

Sorry my bad, will fix it.

Thanks,
Howard
>
> For more information:
>   https://www.shellcheck.net/wiki/SC3028 -- In POSIX sh, FUNCNAME is undefined.
>   https://www.shellcheck.net/wiki/SC3054 -- In POSIX sh, array references are...
> make[4]: *** [tests/Build:91: /tmp/build/perf-tools-next/tests/shell/trace_btf_general.sh.shellcheck_log] Error 1
> make[3]: *** [/home/acme/git/perf-tools-next/tools/build/Makefile.build:158: tests] Error 2
> make[2]: *** [Makefile.perf:777: /tmp/build/perf-tools-next/perf-test-in.o] Error 2
> make[2]: *** Waiting for unfinished jobs....
>   LD      /tmp/build/perf-tools-next/util/perf-util-in.o
>   LD      /tmp/build/perf-tools-next/perf-util-in.o
> make[1]: *** [Makefile.perf:292: sub-make] Error 2
> make: *** [Makefile:119: install-bin] Error 2
> make: Leaving directory '/home/acme/git/perf-tools-next/tools/perf'
> ⬢[acme@...lbox perf-tools-next]$
>
> > Please use this command:
> >
> > perf test "perf trace general tests"
> >
> > Signed-off-by: Howard Chu <howardchu95@...il.com>
> > Suggested-by: Ian Rogers <irogers@...gle.com>
> > ---
> >  tools/perf/tests/shell/trace_btf_general.sh | 67 +++++++++++++++++++++
> >  1 file changed, 67 insertions(+)
> >  create mode 100755 tools/perf/tests/shell/trace_btf_general.sh
> >
> > diff --git a/tools/perf/tests/shell/trace_btf_general.sh b/tools/perf/tests/shell/trace_btf_general.sh
> > new file mode 100755
> > index 000000000000..0b4ea8462390
> > --- /dev/null
> > +++ b/tools/perf/tests/shell/trace_btf_general.sh
> > @@ -0,0 +1,67 @@
> > +#!/bin/sh
> > +# perf trace general tests
> > +# SPDX-License-Identifier: GPL-2.0
> > +
> > +err=0
> > +set -e
> > +
> > +. "$(dirname $0)"/lib/probe.sh
> > +skip_if_no_perf_trace || exit 2
> > +
> > +file1=$(mktemp /tmp/file1_XXXXX)
> > +file2=$(echo $file1 | sed 's/file1/file2/g')
> > +
> > +buffer="this is a buffer for testing"
> > +
> > +trap cleanup EXIT TERM INT HUP
> > +
> > +trace_test_string() {
> > +  echo "Testing perf trace's string augmentation"
> > +  if ! perf trace -e renameat* --max-events=1 -- mv ${file1} ${file2} 2>&1 | grep -q -E "renameat[2]*.*oldname: \"${file1}\".*newname: \"${file2}\".*"
> > +  then
> > +    echo "String augmentation test failed"
> > +    err=1
> > +  fi
> > +}
> > +
> > +trace_test_buffer() {
> > +  echo "Testing perf trace's buffer augmentation"
> > +  if ! perf trace -e write --max-events=1 -- echo "${buffer}" 2>&1 | grep -q -E ".*write.*buf: ${buffer}.*"
> > +  then
> > +    echo "Buffer augmentation test failed"
> > +    err=1
> > +  fi
> > +}
> > +
> > +trace_test_struct_btf() {
> > +  echo "Testing perf trace's struct augmentation"
> > +  if ! perf trace -e clock_nanosleep --force-btf --max-events=1 -- sleep 1 2>&1 | grep -q -E ".*clock_nanosleep\(rqtp: \{1,\}, rmtp: \{1,\}\).* = 0"
> > +  then
> > +    echo "BTF struct augmentation test failed"
> > +    err=1
> > +  fi
> > +}
> > +
> > +cleanup() {
> > +     rm -rf ${file1} ${file2}
> > +}
> > +
> > +trap_cleanup() {
> > +     echo "Unexpected signal in ${FUNCNAME[1]}"
> > +     cleanup
> > +     exit 1
> > +}
> > +
> > +trace_test_string
> > +
> > +if [ $err = 0 ]; then
> > +  trace_test_buffer
> > +fi
> > +
> > +if [ $err = 0 ]; then
> > +  trace_test_struct_btf
> > +fi
> > +
> > +cleanup
> > +
> > +exit $err
> > --
> > 2.45.2

Powered by blists - more mailing lists

Powered by Openwall GNU/*/Linux Powered by OpenVZ